Index: trunk/HeuristicLab.DataPreprocessing/3.4/Data/DataPreprocessingChangedEvent.cs
===================================================================
--- trunk/HeuristicLab.DataPreprocessing/3.4/Data/DataPreprocessingChangedEvent.cs	(revision 15682)
+++ trunk/HeuristicLab.DataPreprocessing/3.4/Data/DataPreprocessingChangedEvent.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using System;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
+  [StorableType("f06da8c5-5c95-4e20-81c7-d264517d9981")]
   public enum DataPreprocessingChangedEventType {
     DeleteColumn,
Index: trunk/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs
===================================================================
--- trunk/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs	(revision 15682)
+++ trunk/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,10 +26,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("FilteredPreprocessingData", "Represents filtered data used for preprocessing.")]
-  [StorableClass]
+  [StorableType("26BAE57C-A102-483D-8A09-AEC7132FD837")]
   public sealed class FilteredPreprocessingData : NamedItem, IFilteredPreprocessingData {
 
@@ -60,6 +60,5 @@
 
     [StorableConstructor]
-    private FilteredPreprocessingData(bool deserializing)
-      : base(deserializing) { }
+    private FilteredPreprocessingData(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: trunk/HeuristicLab.DataPreprocessing/3.4/Data/IFilteredPreprocessingData.cs
===================================================================
--- trunk/HeuristicLab.DataPreprocessing/3.4/Data/IFilteredPreprocessingData.cs	(revision 15682)
+++ trunk/HeuristicLab.DataPreprocessing/3.4/Data/IFilteredPreprocessingData.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using System;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
+  [StorableType("9f0c478b-6b6b-42a1-ad0a-6bc2769cd593")]
   public interface IFilteredPreprocessingData : IPreprocessingData {
     #region Filters
Index: trunk/HeuristicLab.DataPreprocessing/3.4/Data/IPreprocessingData.cs
===================================================================
--- trunk/HeuristicLab.DataPreprocessing/3.4/Data/IPreprocessingData.cs	(revision 15682)
+++ trunk/HeuristicLab.DataPreprocessing/3.4/Data/IPreprocessingData.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,6 +25,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Problems.DataAnalysis;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
+  [StorableType("1fd88253-ae07-415f-81df-5b73c61fd495")]
   public interface IPreprocessingData : INamedItem {
     #region Cells
Index: trunk/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs
===================================================================
--- trunk/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs	(revision 15682)
+++ trunk/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
@@ -34,5 +34,5 @@
 
   [Item("PreprocessingData", "Represents data used for preprocessing.")]
-  [StorableClass]
+  [StorableType("DDF0FC89-E180-47EB-B96E-CBD9E15D697E")]
   public class PreprocessingData : NamedItem, IPreprocessingData {
 
@@ -73,6 +73,5 @@
 
     [StorableConstructor]
-    protected PreprocessingData(bool deserializing)
-      : base(deserializing) { }
+    protected PreprocessingData(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
